Debian Bug report logs - #566303
maypole: FTBFS and uninstalable: libclass-dbi-loader-relationship-perl got removed

version graph

Package: src:maypole; Maintainer for src:maypole is (unknown);

Reported by: Alexander Reichle-Schmehl <tolimar@debian.org>

Date: Fri, 22 Jan 2010 18:45:01 UTC

Severity: serious

Merged with 569428

Fixed in version libclass-dbi-loader-relationship-perl/1:1.2-4

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Hutchings <ben@decadent.org.uk>:
Bug#566303; Package maypole. (Fri, 22 Jan 2010 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
New Bug report received and forwarded. Copy sent to Ben Hutchings <ben@decadent.org.uk>. (Fri, 22 Jan 2010 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: maypole: FTBFS and uninstalable: libclass-dbi-loader-relationship-perl got removed
Date: Fri, 22 Jan 2010 19:41:46 +0100
Package: maypole
Version: 2.11+2.111-2
Severity: serious

Hi!

libclass-dbi-loader-relationship-perl just got removed due to #566270.
Since your package build-depends on it, this just created an instant FTBFS.
Sorry, but please look either for alternatives or fix the bugs in
libclass-dbi-loader-relationship-perl.

Best regards,
  Alexander


-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-xen-686 (SMP w/1 CPU core)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to de_DE@euro)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566303; Package maypole. (Sat, 23 Jan 2010 19:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. (Sat, 23 Jan 2010 19:24:08 GMT) Full text and rfc822 format available.

Message #10 received at 566303@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alexander Reichle-Schmehl <tolimar@debian.org>, 566303@bugs.debian.org, 566270@bugs.debian.org
Subject: Re: Bug#566303: maypole: FTBFS and uninstalable: libclass-dbi-loader-relationship-perl got removed
Date: Sat, 23 Jan 2010 19:20:42 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2010-01-22 at 19:41 +0100, Alexander Reichle-Schmehl wrote:
> Package: maypole
> Version: 2.11+2.111-2
> Severity: serious
> 
> Hi!
> 
> libclass-dbi-loader-relationship-perl just got removed due to #566270.
> Since your package build-depends on it, this just created an instant FTBFS.
> Sorry, but please look either for alternatives or fix the bugs in
> libclass-dbi-loader-relationship-perl.

I haven't heard from Simon recently but I may be able to track him down.

Ben.

-- 
Ben Hutchings
Any smoothly functioning technology is indistinguishable from a rigged demo.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'maypole' to 'src:maypole'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Feb 2010 18:51:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.11+2.111-2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Feb 2010 18:51:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions maypole/2.11+2.111-2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Feb 2010 18:51:13 GMT) Full text and rfc822 format available.

Merged 566303 569428. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Feb 2010 18:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Hutchings <ben@decadent.org.uk>:
Bug#566303; Package src:maypole. (Fri, 23 Apr 2010 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Ben Hutchings <ben@decadent.org.uk>. (Fri, 23 Apr 2010 13:57:06 GMT) Full text and rfc822 format available.

Message #23 received at 566303@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: chunzi@gmail.com
Cc: Simon Cozens <simon@simon-cozens.org>, Ben Hutchings <ben@decadent.org.uk>, 563519@bugs.debian.org, 566303@bugs.debian.org, 571386@bugs.debian.org
Subject: license of "Class::DBI::Loader::Relationship"
Date: Fri, 23 Apr 2010 22:52:24 +0900
[Message part 1 (text/plain, inline)]
Hi Chunzi,

 The perl module you maintain "Class::DBI::Loader::Relationship" was packaged
 as libclass-dbi-loader-relationship-perl in Debian.

 However, unfortunately, it has now been removed from Debian since lack of
 mentions to its license term. See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=563519

 But most of us want to back it to Debian, it needs to YOUR help to distribute
 it again.

 Could you consider to add it to source code, please?

 # it would also fix some serious Debian bugs...
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=566303
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=571386



-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Fri, 23 Apr 2010 14:09:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, henrich@debian.or.jp, Ben Hutchings <ben@decadent.org.uk>:
Bug#566303; Package src:maypole. (Sat, 03 Jul 2010 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to henrich@debian.or.jp, Ben Hutchings <ben@decadent.org.uk>. (Sat, 03 Jul 2010 12:12:03 GMT) Full text and rfc822 format available.

Message #30 received at 566303@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 566303@bugs.debian.org
Subject: maypole: depends on removed package: libclass-dbi-loader-relationship-perl
Date: Sat, 03 Jul 2010 21:09:26 +0900
Hi,

this bug was tagged as pending in April 2010, but no upload has happened
since.  Is the problem really solved?

I plan to request removal from testing for maypole and its r-deps as it
currently keeps libclass-dbi-loader-relationship-perl in testing which
Debian has no license to distribute.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566303; Package src:maypole. (Sat, 03 Jul 2010 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. (Sat, 03 Jul 2010 13:30:03 GMT) Full text and rfc822 format available.

Message #35 received at 566303@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ansgar Burchardt <ansgar@43-1.org>, 566303@bugs.debian.org
Subject: Re: Bug#566303: maypole: depends on removed package: libclass-dbi-loader-relationship-perl
Date: Sat, 03 Jul 2010 14:00:41 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-07-03 at 21:09 +0900, Ansgar Burchardt wrote:
> Hi,
> 
> this bug was tagged as pending in April 2010, but no upload has happened
> since.  Is the problem really solved?
> 
> I plan to request removal from testing for maypole and its r-deps as it
> currently keeps libclass-dbi-loader-relationship-perl in testing which
> Debian has no license to distribute.

I'll make one last attempt to sort out
libclass-dbi-loader-relationship-perl by contacting the original author.
We can maybe downgrade it to 1.2 as maypole doesn't depend on the
feature added in 1.3 by the new maintainer.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Hutchings <ben@decadent.org.uk>:
Bug#566303; Package src:maypole. (Sun, 04 Jul 2010 16:21:05 GMT) Full text and rfc822 format available.

Message #38 received at 566303@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 566303@bugs.debian.org, 566303-submitter@bugs.debian.org, 587972@bugs.debian.org, 587972-submitter@bugs.debian.org, 563519@bugs.debian.org, 563519-submitter@bugs.debian.org
Subject: Bug in libclass-dbi-loader-relationship-perl fixed in revision 60039
Date: Sun, 04 Jul 2010 16:16:59 +0000
tag 566303 + pending
tag 587972 + pending
tag 563519 + pending
thanks

Some bugs are closed in revision 60039
by Ansgar Burchardt (ansgar-guest)

Commit message:

* Re-introduce version 1.2 to Debian. (Closes: #566303, #587972)
  + We now have a license to distribute this module. (Closes: #563519)
  + Bump epoch.
* Bump Standards-Version to 3.9.0.




Message sent on to Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug#566303. (Sun, 04 Jul 2010 16:21:14 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Mon, 05 Jul 2010 14:51:13 GMT) Full text and rfc822 format available.

Notification sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug acknowledged by developer. (Mon, 05 Jul 2010 14:51:13 GMT) Full text and rfc822 format available.

Message #46 received at 566303-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 566303-close@bugs.debian.org
Subject: Bug#566303: fixed in libclass-dbi-loader-relationship-perl 1:1.2-4
Date: Mon, 05 Jul 2010 14:48:03 +0000
Source: libclass-dbi-loader-relationship-perl
Source-Version: 1:1.2-4

We believe that the bug you reported is fixed in the latest version of
libclass-dbi-loader-relationship-perl, which is due to be installed in the Debian FTP archive:

libclass-dbi-loader-relationship-perl_1.2-4.debian.tar.gz
  to main/libc/libclass-dbi-loader-relationship-perl/libclass-dbi-loader-relationship-perl_1.2-4.debian.tar.gz
libclass-dbi-loader-relationship-perl_1.2-4.dsc
  to main/libc/libclass-dbi-loader-relationship-perl/libclass-dbi-loader-relationship-perl_1.2-4.dsc
libclass-dbi-loader-relationship-perl_1.2-4_all.deb
  to main/libc/libclass-dbi-loader-relationship-perl/libclass-dbi-loader-relationship-perl_1.2-4_all.deb
libclass-dbi-loader-relationship-perl_1.2.orig.tar.gz
  to main/libc/libclass-dbi-loader-relationship-perl/libclass-dbi-loader-relationship-perl_1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566303@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated libclass-dbi-loader-relationship-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Jul 2010 02:16:34 +0900
Source: libclass-dbi-loader-relationship-perl
Binary: libclass-dbi-loader-relationship-perl
Architecture: source all
Version: 1:1.2-4
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 libclass-dbi-loader-relationship-perl - Easier relationship specification in Class::DBI::Loader
Closes: 531512 563519 566303 587972
Changes: 
 libclass-dbi-loader-relationship-perl (1:1.2-4) unstable; urgency=low
 .
   [ Ansgar Burchardt ]
   * Re-introduce version 1.2 to Debian. (Closes: #566303, #587972)
     + We now have a license to distribute this module. (Closes: #563519)
     + Bump epoch; use -4 as -1 to -3 were already seen in the archive.
   * Use source format 3.0 (quilt).
   * Use debhelper instead of CDBS.
   * Convert debian/copyright to proposed machine-readable format.
   * Add myself to Uploaders.
   * Bump Standards-Version to 3.9.0.
   * debian/control: Mention module name in description.
   * debian/control: Remove build-dep on libtest-simple-perl. Test::More is
     provided by perl.
   * debian/control: Homepage field now points to official module, not the
     unofficial 1.3 release.
   * No longer install README.
 .
   [ Ryan Niebur ]
   * moved with permission from Bart (Closes: #531512)
   * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
     field (source stanza); ${misc:Depends} to Depends: field. Changed:
     Maintainer set to Debian Perl Group <pkg-perl-
     maintainers@lists.alioth.debian.org> (was: Bart Martens
     <bartm@debian.org>); Bart Martens <bartm@debian.org> moved to
     Uploaders.
   * debian/watch: use dist-based URL.
   * remove Bart from Uploaders
 .
   [ Nathan Handler ]
   * debian/watch: Update to ignore development releases.
 .
   [ Salvatore Bonaccorso ]
   * debian/control: Changed: Replace versioned (build-)dependency on
     perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
     permitted by Debian Policy 3.8.3).
Checksums-Sha1: 
 cdd357f54ab05cccb22d0ab2cd05f1e33d971809 2250 libclass-dbi-loader-relationship-perl_1.2-4.dsc
 1c5784bb977522523d5951fc74ca371869dd92f2 3109 libclass-dbi-loader-relationship-perl_1.2.orig.tar.gz
 04225205601cc4b8b49ace5b917f07a033a9a535 3178 libclass-dbi-loader-relationship-perl_1.2-4.debian.tar.gz
 7f7fe658f869d870c9820f761419bd572cd78288 8064 libclass-dbi-loader-relationship-perl_1.2-4_all.deb
Checksums-Sha256: 
 a2ca28e6abc2992d728fcab13d715acbb482d353ff41ce480d181b9df8b7eed6 2250 libclass-dbi-loader-relationship-perl_1.2-4.dsc
 53bda8ae70270ed856596fc9681bfde3e816dce3c0e51285fbfe7e9fadba0988 3109 libclass-dbi-loader-relationship-perl_1.2.orig.tar.gz
 9496483113390ade58123befaf4c9681510ef2be47ca3463dc01b32e2209a2aa 3178 libclass-dbi-loader-relationship-perl_1.2-4.debian.tar.gz
 681a3e301bb27834d0eebd3e71d0093278d0c6a57482f5f07350210ef7391d93 8064 libclass-dbi-loader-relationship-perl_1.2-4_all.deb
Files: 
 30ca2de87f335bbbed5b4f5b0e498a8d 2250 perl optional libclass-dbi-loader-relationship-perl_1.2-4.dsc
 d5a3262146ee4c63a46a5c87205c5619 3109 perl optional libclass-dbi-loader-relationship-perl_1.2.orig.tar.gz
 532b5361547c90a98bc2d52eaba99df8 3178 perl optional libclass-dbi-loader-relationship-perl_1.2-4.debian.tar.gz
 09a870f71dd4a52bda70297c41bb6f20 8064 perl optional libclass-dbi-loader-relationship-perl_1.2-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMMML3AAoJELs6aAGGSaoG/MMQALvgYSAi9xi7gJ81xy4ginR1
l/HAxh6fxXCKF2aJPinXsh9fZv1/jNQRS9kIDAEgTK2OfRMsIP85HR27bs7kZVq1
C/tp6EOtoErr01L2YYfNTvUrz8RHLlvwDCHJW5UUuo0bHOnN66BWAxbmk9qfQxp3
JPCmufqPKf/j/S20GSS6FConCmegcuoQ/arnOsogTOXeioXkCBJt0rUzSDv2peUD
PrFdRf7FRRHkN6cjDUtxNGz8Y7K+atYVwFNZRDd6r0R+oZnXV5vPkLQKAt1cI7CZ
46WXfHJZ7oE/Nq96f0GhOjf6A9T+VHbBXd3YXgGtfCz/4fT9hflrxZHzYmTkV3wH
B6G4BGXuVWfhKmf3jLmPE2KAZaft0jjmC71Lb67YLht4nECGWCC0AlZJKEZ6zQc1
h1qgZ8PFscQ2GwDZflDJ5OlDBDkIvVVeNVq8v+rITeiwWHYJL5PR73Hsww5/UVQa
r2Kje69y7Ee6Su0zHJDoUY1ayqLLWrLyaaVMBrC3NeFn5DaYS6JvK5zERTyUCdkD
eIx1qqjILGm6goiDV1KushA/Apsh2Ixjp9w3Rmd1t1e1aXQbJ3dyHCZCqZX4lCCq
P9nxBD3XKPqT0ZBh1ppTdAEnu9bjwszHLmw1JAUr47eBFIN21VYwLcvEis2lltnY
0BNML6KL8Y/DMIm8o4hu
=g97P
-----END PGP SIGNATURE-----





Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Mon, 05 Jul 2010 14:51:14 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 05 Jul 2010 14:51:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions maypole/2.11+2.111-2. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Fri, 30 Jul 2010 10:09:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Aug 2010 07:30:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:44:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.